pdf export problem
Status: Closed Start date: 2011-03-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Hello,

I just installed remdine on my synology and I would like to use its pdf export functionality.

However, when I try to used it, I get the following error:

=======================LOG START=============================

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your redMine administrator for assistance.

Back

=======================LOG END=============================

The webrick server also generates the following log:

=======================LOG START=============================

Processing IssuesController#index to pdf (for 192.168.1.11 at 2011-03-11 10:41:49) [GET]

Parameters: {"format"=>"pdf", "project_id"=>"interval-tree", "action"=>"index", "controller"=>"issues"}

Iconv::InvalidEncoding (invalid encoding ("ISO-8859-1", "UTF-8")):

lib/redmine/export/pdf.rb:92:in `initialize'

lib/redmine/export/pdf.rb:92:in `new'

lib/redmine/export/pdf.rb:92:in `Cell'

lib/redmine/export/pdf.rb:137:in `issues_to_pdf'

app/controllers/issues_controller.rb:95:in `index'

app/controllers/issues_controller.rb:90:in `index'

/opt/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

/opt/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

/opt/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

/opt/lib/ruby/1.8/webrick/server.rb:162:in `start'

/opt/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

/opt/lib/ruby/1.8/webrick/server.rb:95:in `start'

/opt/lib/ruby/1.8/webrick/server.rb:92:in `each'

/opt/lib/ruby/1.8/webrick/server.rb:92:in `start'

/opt/lib/ruby/1.8/webrick/server.rb:23:in `start'

/opt/lib/ruby/1.8/webrick/server.rb:82:in `start'

Rendering /volume1/redmine/redmine-1.1.1/public/500.html (500 Internal Server Error)

=======================LOG END=============================

Any help would be welcome,

thanks in advance,

cedric.

Related issues:

Is duplicate of Redmine - Defect #61: Broken character encoding in pdf export Closed

History

#1 - 2011-03-11 11:11 - Etienne Massip

What's your configuration (see SubmittingBugs) ?

2025-05-17 1/2

https://www.redmine.org/projects/redmine/wiki/SubmittingBugs


#2 - 2011-03-11 11:11 - Etienne Massip

- Category set to PDF export

#3 - 2011-03-28 09:34 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #61.

http://www.redmine.org/issues/61#note-76 provides UTF-8 PDF.
